module.exports = {
  up(queryInterface, Sequelize) {
    return Promise.all([
      queryInterface.addColumn(
          'users',
          'headColor',
          {
            type: Sequelize.STRING,
            default: '#ffff',
            allowNull: false
          },
      ),
      queryInterface.addColumn(
          'users',
          'leftArmColor',
          {
            type: Sequelize.STRING,
            default: '#ffff',
            allowNull: false
          },
      ),
      queryInterface.addColumn(
          'users',
          'rightArmColor',
          {
            type: Sequelize.STRING,
            default: '#ffff',
            allowNull: false
          },
      ),
      queryInterface.addColumn(
          'users',
          'bodyColor',
          {
            type: Sequelize.STRING,
            default: '#ffff',
            allowNull: false
          },
      ),
      queryInterface.addColumn(
          'users',
          'leftLegColor',
          {
            type: Sequelize.STRING,
            default: '#ffff',
            allowNull: false
          },
      ),
      queryInterface.addColumn(
          'users',
          'rightLegColor',
          {
            type: Sequelize.STRING,
            default: '#ffff',
            allowNull: false
          },
      ),
    ]);
  },
    down(queryInterface, Sequelize) {
        return Promise.all([
            queryInterface.removeColumn(
                'users',
                'headColor',
            ),
            queryInterface.removeColumn(
                'users',
                'leftArmColor',
            ),
            queryInterface.removeColumn(
                'users',
                'rightArmColor',
            ),
            queryInterface.removeColumn(
                'users',
                'bodyColor',
            ),
            queryInterface.removeColumn(
                'users',
                'leftLegColor',
            ),
            queryInterface.removeColumn(
                'users',
                'rightLegColor',
            ),
        ])
    }
};
